Bug 104512 - c++filt man page inconsistent with behavior
c++filt man page inconsistent with behavior
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-16 12:20 EDT by Burt Holzman
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version: binutils-2.13.90.0.18-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 18:20:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Burt Holzman 2003-09-16 12:20:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
man c++filt indicates that --format=gnu-new-abi is a valid option string; however

$ c++filt --format=gnu-new-abi
c++filt: unknown demangling style `gnu-new-abi'

The correct string is --format=gnu-v3.



Version-Release number of selected component (if applicable):
binutils-2.13.90.0.2-2, gcc-c++-3.2-7

How reproducible:
Always

Steps to Reproduce:
1. man c++filt | grep gnu-new-abi
2. c++filt --format=gnu-new-abi

Additional info:

Note You need to log in before you can comment on or make changes to this bug.